> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/sdn/data-center-port/terminateport.md).

# TerminatePort

## 1. API Description

This API (TerminatePort) is used to terminate Port

{% hint style="info" %}
**Notes**

* Ports that are no longer needed can be actively terminated via this API. For postpaid ports, billing stops once terminated.
* This API cannot actively terminate a port under the prepaid **subscription** billing mode -- subscription-mode ports are automatically terminated when the subscription expires.
* A terminated port enters the recycle bin. If no further action is taken, it is automatically released after 48 hours; you can also actively release it by calling [DestroyPort](/api-reference/networking/sdn/data-center-port/destroyport.md#DestroyPort).
* Calling this API on a port that is already in the recycle bin or still being created has no effect.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description |
| -------------- | -------- | ------ | ----------- |
| portId         | Yes      | String | Port ID.    |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: TerminatePort
<Common Request Params>

Request:
{
  "portId": "your-port-id"
}

Response:
{
  "requestId": "T3811A0E7-C250-40A2-96AD-08AD759E1BC2",
  "response": {
    "requestId": "T3811A0E7-C250-40A2-96AD-08AD759E1BC2"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
